@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

html {
    scroll-behavior: smooth; /* Enable smooth scrolling */
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    text-shadow: 10px 10px 20px rgba(0, 0, 0, 0.3);
    background: url('img/bg5menu.png')  no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    backdrop-filter: blur(3px);
    border-radius: 20px;
}

/* .nav-bar{
    position: sticky;
    display: flex;
    justify-content: center;
    top: 0;
    margin: 0 20px 0 20px;
    width: 100%;
    background: url('img/bg.jpg') no-repeat;
    background-size: cover;
    background-position: center;
    backdrop-filter: blur(5px);
    border-radius: 0 0 20px 20px;
    font-weight: 600;
    padding: 5px;
    transition: .6s ease-in-out;
    z-index: 1000;
}

.nav-bar a{
    position: relative;
    color: #eee;
    background: rgb(71, 70, 70);
    border-radius: 10px;
    border: 2px solid #eee;
    margin: 10px 20px 10px 20px;
    padding: 10px 20px;
    text-decoration: none;
}

.nav-bar .btn.btn-outline-light.me-2{
    position: absolute;
    right: 0;
    background: seagreen;
}

.nav-bar .btn.btn-outline-light.me-2:hover{
    background: transparent;
}

.nav-bar .btn.btn-danger{
    position: absolute;
    right: 0;
    background: rgb(209, 112, 112);
}

.nav-bar .btn.btn-danger:hover{
    background: transparent;
}
.nav-bar a:hover{
    color: #fff;
    background: transparent;
} */

/* Header */

.home{
    width: 100%;
    padding: 20px;
    margin: 20px;
    min-height: 60vh;
    background: url('img/logo2.png')  no-repeat;
    background-size: contain;
    background-position: center;
    animation: grow 2s ease-out forwards;
}

/* CONTAINER */

.container{
    width: 100%;
    min-height: 100vh;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    margin: auto;
    overflow: visible;
    transition: .6s ease-in-out;
}

.container .welcome{
    min-height: 70vh;
    background: url('img/cream-marble-bg.jpg');
    background-size: cover;
    background-position: center;
    display: grid;
    place-content: center;
    text-align: center;
    border-radius: 20px 20px 0 0;
    margin: 0px 20px 0 20px;
    font-weight: 500;
    opacity: 1;
    scale: 1;
    animation: fade-in linear forwards;
    animation-timeline: view();
    animation-range: entry;
}
.container .welcome h1{
    font-size: 72px;
    color: rgb(102, 91, 69);
}
.container .welcome h2{
    font-size: 54px;
    color: rgb(102, 91, 69);
}

.welcome h1, .welcome h2{
    animation: grow ease-in-out forwards;
    animation-timeline: view();
    animation-range-end: 500px;
}

/* MENU */

.container .menu{
    display: grid;
    min-height: 120vh;
    background: url('img/restaurant-bg.jpg') no-repeat;
    background-position: center;
    background-size: cover;
    justify-items: center;
    place-content: center;
    margin: 0px 20px 0 20px;
    animation: fade-in linear forwards;
    animation-timeline: view();
    animation-range: entry;
}

.container .menu h1{
    font-size: 144px;
    position: relative;
    color: #fff;
    transition: .6s ease-in-out;
}
.container .menu div{
    display: flex;
    margin: 10px;
}
.container .menu a{
    position: relative;
    background: transparent;
    backdrop-filter: blur(3px);
    border-radius: 20px;
    border: 2px solid #eee;
    color: #eee;
    margin: 10px 20px 10px 20px;
    padding: 15px 30px;
    text-decoration: none;
    font-size: 20px;
    font-weight: 500;
}
.container .menu a:hover{
    backdrop-filter: blur(5px);
    background: #000;
    opacity: 0.7;
    animation: grow-n-smaller 1.5s ease-out infinite;
}

.menu h1, .menu a{
    animation: grow ease-in-out forwards;
    animation-timeline: view();
    animation-range-end: 500px;
}

/* ABOUT */

.container .about {
    min-height: 60vh;
    background: url('img/cream-marble-bg.jpg');
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    margin: 0px 20px 0 20px;
    transition: .6s ease-in-out;
    align-items: center;
    animation: fade-in linear forwards;
    animation-timeline: view();
    animation-range: entry;
}

.container .about .ingredient {
    display: flex;
    margin: 10px;
    padding: 30px;
    width: 100%;
    height: 30%;
    justify-content: space-between; 
    align-items: center;
    transition: .6s ease-in-out;
}

.ingredient .pig{
    flex: 1;
    margin: 20px 0 20px 0;
    padding: 10%;
    background: url('img/pig.png') no-repeat;
    background-size: contain;
    background-position: center;
}
.ingredient .chicken{
    flex: 1;
    margin: 20px 0 20px 0;
    padding: 10%;
    background: url('img/chicken.png') no-repeat;
    background-size: contain;
    background-position: center;
}
.ingredient .seafood{
    flex: 1;
    margin: 20px 0 20px 0;
    padding: 10%;
    background: url('img/seafood.png') no-repeat;
    background-size: contain;
    background-position: center;
}
.ingredient p {
    color: rgb(102, 91, 69);
    flex: 1;
    font-size: 72px;
    font-weight: 500;
    flex-grow: 1;
    text-align: center;
    margin: 10px;
    transition: .6s ease-in-out;
}

.pig, .chicken, .seafood, .ingredient p {
    animation: grow ease-in-out forwards;
    animation-timeline: view();
    animation-range-end: 500px;
}

/* Contact */

.container .contact{
    color: #eee;
    display: grid;
    place-content: center;
    min-height: 40vh;
    background: rgb(184, 169, 143);
    justify-items: center;
    text-align: center;
    margin: 0px 20px 0 20px;
    border-radius: 0 0 20px 20px;
    animation: fade-in linear forwards;
    animation-timeline: view();
    animation-range: entry;
}

.container .contact h3{
    margin: 10px;
    font-weight: 500;
}

.container .contact a{
    color: rgb(102, 91, 69);
    font-weight: 700;
    text-decoration: none;
}
.container .contact i{
    font-size: 50px;
}

.contact h3, .contact a, .contact i{
    animation: grow ease-in-out forwards;
    animation-timeline: view();
    animation-range-end: 400px;
}

footer{
    margin: 40px;
    text-align: center;
    color: rgb(70, 70, 70);
}

@media screen and (min-width: 1280px) {
    .container{
        width: 80%;
        overflow: visible;
        transition: .6s ease-in-out;
    }
    /* .nav-bar a {
        transition: .6s ease-in-out;
    } */
}

@media screen and (min-width:940px) and (max-width: 1280px) {
    /* .nav-bar a {
        font-size: 12px;
        transition: .6s ease-in-out;
    } */
    .container .menu h1{
        font-size: 144px;
    }

}

/* Test on IPhone13 แนวนอน */

@media screen and (max-width: 940px){
    /* .nav-bar a {
        font-size: 10px;
        text-align: center;
        margin: 10px;
        padding: 10px 20px 10px 20px;
        transition: .6s ease-in-out;
    } */

    .container {

        position: relative;
        min-height: auto;
        padding: 20px;
        margin-top: 0;
    }

    .container .welcome h1{
        font-size: 60px;
        transition: .6s ease-in-out;
    }
    .container .welcome h2{
        font-size: 42px;
        transition: .6s ease-in-out;
    }
    .container .menu h1{
        font-size: 72px;
    }
    .container .menu a{
        padding: 10px 20px;
        font-size: 16px;
    }
    .container .about .ingredient p{
        font-size: 40px;
        transition: .6s ease-in-out;
    }

}

/* Test on IPhone13 แนวตั้ง */
@media screen and (max-width: 576px) {

    /* .nav-bar a {
        font-size: 10px;
        text-align: center;
        margin: 4px;
        padding: 4px 8px 4px 8px;
        transition: .6s ease-in-out;
    } */
    .container{
        padding: 0;
    }
    .container .welcome h1{
        font-size: 36px;
    }
    .container .welcome h2{
        font-size: 24px;
    }
    .container .menu{
        min-height: 80vh;
    }
    .container .menu h1{
        font-size: 36px;
    }
    .container .menu a{
        font-size: 12px;
    }
}

/* Create Animation */

@keyframes grow {
    from {
      transform: scale(0.5);
      opacity: 0;
    }
    to {
      transform: scale(1);
      opacity: 1;
    }
  }

@keyframes slideIn {
    from {
      transform: translateX(-100%);
      opacity: 0;
    }
    to {
      transform: translateX(0);
      opacity: 1;
    }
}

@keyframes fade-in {
    from{scale: .9; opacity: 0.8;}
    to{scale: 1; opacity: 1;}
}

@keyframes grow-n-smaller {
    0%{scale: 1;}
    50%{scale: 1.2;}
    100%{scale: 1;}
}